net.percederberg.mibble

## Class MibblePrinter

- java.lang.Object
- - net.percederberg.mibble.MibblePrinter

-     public class MibblePrinter
      extends java.lang.Object

  A program that parses and prints a MIB file. If the MIB file(s) specified on the command-line uses constructs or syntax that are not supported, an error message will be printed to the standard output.
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MibblePrinter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` The application main entry point.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MibblePrinter

          public MibblePrinter()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      The application main entry point.
      Parameters:
        `args` - the command-line parameters